// creator  : weidu.exe (version 23100)
// argument : THIEF8.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~THIEF8~ 2 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #2 /* Triggers after states #: 4 5 even though they appear after this state */
~RandomNum(4,1)
~ THEN BEGIN 0 // from:
  SAY #21774 /* ~I don't know why Mae'Var has that bloody wizard about.  Thinks he's right better than everyone else, he does!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 /* Triggers after states #: 4 5 even though they appear after this state */
~RandomNum(4,2)
~ THEN BEGIN 1 // from:
  SAY #21775 /* ~I wouldn't be crossing Edwin, if I were ye... I've heard some pretty nasty things about him since he arrived from the north.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 /* Triggers after states #: 4 5 even though they appear after this state */
~RandomNum(4,3)
~ THEN BEGIN 2 // from:
  SAY #21776 /* ~Everyone has been pretty nervous, here... I think Mae'Var's gone mad, he has.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #5 /* Triggers after states #: 4 5 even though they appear after this state */
~RandomNum(4,4)
~ THEN BEGIN 3 // from:
  SAY #21777 /* ~Ye're new, are ye?  Here I thought I be knowing all the Shadow Thieves in the city.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~See("Jaheira")
InParty("Jaheira")
!StateCheck("Jaheira",STATE_SLEEPING)
RandomNum(2,1)
Global("thief8jaheira","AR0500",0)
~ THEN BEGIN 4 // from:
  SAY #21779 /* ~What in bloody blazes are ye lookin' at, elf?~ */
  IF ~~ THEN DO ~SetGlobal("thief8jaheira","AR0500",1)~ EXTERN ~JAHEIRAJ~ 215
END

IF WEIGHT #1 ~See("Keldorn")
InParty("Keldorn")
!StateCheck("Keldorn",STATE_SLEEPING)
RandomNum(2,2)
Global("thief8keldorn","AR0500",0)
~ THEN BEGIN 5 // from:
  SAY #21780 /* ~Well, ye sure don't look like a bloody thief.~ */
  IF ~~ THEN DO ~SetGlobal("thief8keldorn","AR0500",1)~ EXTERN ~KELDORJ~ 60
END
